SetSignProcessCustomSubFilter

Zabezpečení a podpisy

Popis

Nastaví položku SubFilter s vlastním řetězcem pro proces digitálního podpisu, čímž určí kódování hodnoty podpisu

Podobá se SetSignProcessSubFilter, ale položku Subfilter lze přizpůsobit

Začíná-li zadaný řetězec ETSI. (typicky ETSI.CAdES.detached pro základní podpisy PAdES nebo ETSI.RFC3161 pro časová razítka dokumentu), knihovna automaticky přidá do katalogu dokumentu položku PAdES /Extensions /ESIC <</BaseVersion /1.7 /ExtensionLevel 2>>, jak vyžaduje ETSI EN 319 142-1 v1.2.1 §5.6. U PDF vytvořených přes TPDFlib se paralelně přidá ekvivalentní Adobe deklarace (/Extensions /ADBE na /ExtensionLevel 8). Vkládání je idempotentní a nikdy nesníží existující vyšší úroveň rozšíření

Volba ETSI.CAdES.detached navíc aktivuje podepisovací cestu PAdES-B-B: výsledné CMS nosí autentizované atributy content-type (id-data) a signing-certificate-v2 (RFC 5035 / RFC 5816) a atribut signing-time, který Table 1 normy EN 319 142-1 zakazuje, se vynechá, protože knihovna předá CryptSignMessage vlastní pole atributů. Podepisující certifikát se identifikuje svým digestem SHA-256 (nebo SHA-384 / SHA-512, vybere-li SetSignProcessDigestAlgorithm větší hash) a aktuální buildy přidávají i nepovinnou n-tici IssuerSerial (distinguished name vydavatele plus sériové číslo), aby přísnější validátory PAdES mohly podepisující certifikát zkontrolovat proti své kandidátní řadě

Syntaxe

Delphi

Function TPDFlib.SetSignProcessCustomSubFilter(SignProcessID: Integer; SubFilterStr: WideString): Integer;

ActiveX

Function PDFlib::SetSignProcessCustomSubFilter(SignProcessID As Long, SubFilterStr As String) As Long

DLL

int DLSetSignProcessCustomSubFilter(int InstanceID, int SignProcessID, const wchar_t * SubFilterStr);

Parametry

SignProcessIDHodnota vrácená funkcí NewSignProcessFromFile, NewSignProcessFromStream nebo NewSignProcessFromString
SubFilterStrCustom SubFilter string entry

Návratové hodnoty

0Parametr SignProcessID byl neplatný, nebo parametr SubFilter byl mimo rozsah
1Success